Pango::CairoFontMap Class Reference

A Pango::CairoFontMap represents the set of fonts available for a particular rendering system. More...

`#include <pangomm/cairofontmap.h>`

Inheritance diagram for Pango::CairoFontMap:
[legend]

## Public Member Functions

| CairoFontMap (CairoFontMap && src) noexcept
CairoFontMap & | operator= (CairoFontMap && src) noexcept
| ~CairoFontMap () noexcept override
PangoCairoFontMap * | gobj ()
| Provides access to the underlying C GObject.
const PangoCairoFontMap * | gobj () const
| Provides access to the underlying C GObject.
void | set_default ()
| Sets a default Pango::CairoFontMap to use with Cairo.
Cairo::FontType | get_font_type () const
| Gets the type of Cairo font backend that fontmap uses.
void | set_resolution (double dpi)
| Sets the resolution for the fontmap.
double | get_resolution () const
| Gets the resolution for the fontmap.
Glib::RefPtr< Context > | create_context ()
| Create a Pango::Context for the given fontmap.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| CairoFontMap ()
| You should derive from this class to use it.

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Pango::CairoFontMap > | wrap (PangoCairoFontMap * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::CairoFontMap represents the set of fonts available for a particular rendering system.

## Constructor & Destructor Documentation

## CairoFontMap() [1/2]

Pango::CairoFontMap::CairoFontMap | ( |  | ) |

protected

You should derive from this class to use it.

## CairoFontMap() [2/2]

Pango::CairoFontMap::CairoFontMap | ( | CairoFontMap && | src | ) |

noexcept

## ~CairoFontMap()

Pango::CairoFontMap::~CairoFontMap | ( |  | ) |

override noexcept

## Member Function Documentation

## add_interface()

void Pango::CairoFontMap::add_interface | ( | GType | gtype_implementer | ) |

static

## create_context()

Glib::RefPtr< Context > Pango::CairoFontMap::create_context | ( |  | ) |

Create a Pango::Context for the given fontmap.

Since pangomm 1.10

Deprecated: 1.22: Use Pango::FontMap::create_context() instead.

Returns
  The newly created context; free with Glib::object_unref().

## get_font_type()

Cairo::FontType Pango::CairoFontMap::get_font_type | ( |  | ) | const

Gets the type of Cairo font backend that fontmap uses.

Since pangomm 1.18

Returns
  The #cairo_font_type_t cairo font backend type.

## get_resolution()

double Pango::CairoFontMap::get_resolution | ( |  | ) | const

Gets the resolution for the fontmap.

See set_resolution()

Since pangomm 1.10

Returns
  The resolution in "dots per inch".

## get_type()

GType Pango::CairoFontMap::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

PangoCairoFontMap * Pango::CairoFontMap::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const PangoCairoFontMap * Pango::CairoFontMap::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## operator=()

CairoFontMap & Pango::CairoFontMap::operator= | ( | CairoFontMap && | src | ) |

noexcept

## set_default()

void Pango::CairoFontMap::set_default | ( |  | ) |

Sets a default Pango::CairoFontMap to use with Cairo.

This can be used to change the Cairo font backend that the default fontmap uses for example. The old default font map is unreffed and the new font map referenced.

Note that since Pango 1.32.6, the default fontmap is per-thread. This function only changes the default fontmap for the current thread. Default fontmaps of existing threads are not changed. Default fontmaps of any new threads will still be created using new().

A value of nullptr for fontmap will cause the current default font map to be released and a new default font map to be created on demand, using new().

Since pangomm 1.22

## set_resolution()

void Pango::CairoFontMap::set_resolution | ( | double | dpi | ) |

Sets the resolution for the fontmap.

This is a scale factor between points specified in a Pango::FontDescription and Cairo units. The default value is 96, meaning that a 10 point font will be 13 units high. (10 * 96. / 72. = 13.3).

Since pangomm 1.10

Parameters

  dpi | The resolution in "dots per inch". (Physical inches aren't actually involved; the terminology is conventional.).

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Pango::CairoFontMap > wrap | ( | PangoCairoFontMap * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.